GNU bug report logs - #36798
[PATCH 09/11] gnu: Add r-flowsom.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36792, #36793, #36794, #36795, #36796, #36797, #36799, #36800; dated Wed, 24 Jul 2019 18:23:08 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:34 2019
Received: from localhost ([127.0.0.1]:37997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuM-0005Mk-8b
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:46489)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuH-0005La-TM
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41139)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuG-0003JC-Sm
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuF-0007Jz-H0
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:28 -0400
Received: from mail-wm1-x336.google.com ([2a00:1450:4864:20::336]:37215)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuF-0007If-Af
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:27 -0400
Received: by mail-wm1-x336.google.com with SMTP id f17so42458535wme.2
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Jy5PfItzZJVOlLqCCQqbG/YxP5343aRlpYkP9syQYug=;
 b=m9lGmm/xWzn683krnhDieT9FvrdJYmEBju8anez8FZ/2JOpnPj4p42R6iImYPFgd7v
 6l/rf2nl61VccRcdlztzzLoF7BU/geVAjnb64ORTQrEeIOyvpCY7Kr2R7LKeG9+jMHIe
 j1XrDb1kM2wYAixlWDYnoZfWTglxcj7tcpXuSyosToNHaT2lo7NjBdUjVRHiXeLYIk3o
 lSg9i5ujx4qqZkW15G7dArVS5hoj8Ont/Pm73ow7MQP9kJ5Bjr4rVIsc0UXY72ROhXCl
 /rffSQ7x0UTrZzrwvqfXuT5wIetHrsNFnmM2jy+tPZCLyiHeO3tiZfWTU8oZclJLYrkJ
 alew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Jy5PfItzZJVOlLqCCQqbG/YxP5343aRlpYkP9syQYug=;
 b=tT1vLR4rrw9bLRvAvj2chFkxVUR9j78fV+9lnphSOD84vnZEQbwgUgc2uxnSvZ6LHC
 t3iQRwaEnvlI+zk5J+UKDfzV3RHEMnLwIcczkhgmPFR8pFbgH+g3zFiDtST/H8xL4jrG
 rIcjbfSYF6+0xq2ayoyDWXjlsBjI/di2nOGWHn7yl2fBOo/5b8LK7IbEBMW6q+wf9Oen
 LNkBd6tc7i4GMkzMJWACfhQdGi7vWQ50tm/FWGuAfDXvo0XbtQ2jQXwh8cIPq2nYfeYf
 GFJDWywDKZQ8mjsOiN3+sHxTUDhdbsPCEL59bNayxxwNOLsEmDxfZu/nuRz4wfHg3p5W
 NiuA==
X-Gm-Message-State: APjAAAWMIBKvy4oBfdymMeYkLFpuDz54PP3ksO3mv8lywqBDHiXGbTUR
 FM1oDAI05vgeptIn8GK80QvTn+pG
X-Google-Smtp-Source: APXvYqwQ48qRtiK2RON5XQId43FA96hyYW6rs0IfMgkQVI5V0LkDH3RyjFCcTNu8yUaNx7w3GtjLWQ==
X-Received: by 2002:a05:600c:2199:: with SMTP id
 e25mr72471457wme.72.1563992546181; 
 Wed, 24 Jul 2019 11:22:26 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.25
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:25 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 09/11] gnu: Add r-flowsom.
Date: Wed, 24 Jul 2019 20:22:02 +0200
Message-Id: <20190724182204.6818-10-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::336
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-flowsom): New variable.
---
 gnu/packages/bioconductor.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index ab4d9f4075..dd6570ed17 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -4930,3 +4930,32 @@ and to both short and long sequence reads.")
       "This package provides a fast and automatic clustering to classify the cells into subpopulations based on finding the peaks from the overall density function generated by K-means.")
     (license license:artistic2.0)))     ;TODO: artistic1.0 does not exist
 
+(define-public r-flowsom
+  (package
+    (name "r-flowsom")
+    (version "1.16.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (bioconductor-uri "FlowSOM" version))
+        (sha256
+          (base32
+            "03wl3xk7g7vajc4kkrqa0gsbjfxlqr918qi849h5nir31963398l"))))
+    (properties `((upstream-name . "FlowSOM")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-biocgenerics" ,r-biocgenerics)
+        ("r-consensusclusterplus"
+         ,r-consensusclusterplus)
+        ("r-flowcore" ,r-flowcore)
+        ("r-flowutils" ,r-flowutils)
+        ("r-igraph" ,r-igraph)
+        ("r-tsne" ,r-tsne)
+        ("r-xml" ,r-xml)))
+    (home-page "http://www.r-project.org")
+    (synopsis
+      "Using self-organizing maps for visualization and interpretation of cytometry data")
+    (description
+      "FlowSOM offers visualization options for cytometry data, by using Self-Organizing Map clustering and Minimal Spanning Trees.")
+    (license license:gpl2+)))
+
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36798; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.